#include "config.h"
void ctrlchg_init(void);
void bendchg_init(BYTE type);
int bendrange(UBYTE *MTrk,DWORD *gate_old,BYTE range,DWORD trk);	/* ベンドレンジ変更 */
int bendchg(UBYTE *MTrk,DWORD *gate_old,WORD bend,
		WORD port_now,WORD special_tie,WORD extMOD_now,DWORD trk);	/* ベンド変更 */
int ARCCchg(UBYTE *MTrk,DWORD *gate_old,UBYTE ARCCc,BYTE ARCCv,DWORD trk);	/* ARCC変更 */
int MODchg(UBYTE *MTrk,DWORD *gate_old,WORD Mdepth,DWORD trk);	/* modulation変更 */
int volchg(UBYTE *MTrk,DWORD *gate_old,WORD vol,DWORD trk);		/* volume変更 */
int volchk(void);
int put_ex(UBYTE *MTrk,DWORD *gate_old,UBYTE ID[4],
		UBYTE *data,DWORD bytes,BYTE checksum_type,BYTE runstatus);